name: test
on: push
jobs:
  test:
    runs-on: ubuntu-latest
    strategy:
      matrix:
        emacs_version:
        - 26.1
        - 27.2
        - snapshot
    steps:
    - name: Install emacs
      uses: purcell/setup-emacs@master
      with:
        version: ${{ matrix.emacs_version }}
    - name: Check out transient
      uses: actions/checkout@v2
      with:
        repository: magit/transient
        path: transient
    - name: Check out snakemake-mode
      uses: actions/checkout@v2
      with:
        repository: kyleam/snakemake-mode
        path: snakemake-mode
    - name: Set up Python 3.7
      uses: actions/setup-python@v1
      with:
        python-version: 3.7
    - name: Install Snakemake
      run: |
        python -m pip install --upgrade pip
        pip install snakemake
    - name: Build snakemake-mode
      run: make -C snakemake-mode all
    - name: Test snaekmake-mode
      run: make -C snakemake-mode test
